> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Query data in DataBusca

This endpoint allows you to perform detailed queries based on the customer's document, whether an individual or a legal entity.

The response is returned in JSON format and contains structured data, including address, email, telephone, business address, tax status and information about partnerships.

This data is extracted from reliable sources and can be used for analysis and decision-making based on the customer's registration and tax information.


## OpenAPI

````yaml post /Bureau/ConsultarDataBusca
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Bureau.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Bureau/ConsultarDataBusca:
    post:
      tags:
        - BureauSync
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultaDataBuscaCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/ConsultaDataBuscaCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ConsultaDataBuscaCommand'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaDataBuscaResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaDataBuscaResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaDataBuscaResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaDataBuscaResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaDataBuscaResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaDataBuscaResponse'
components:
  schemas:
    ConsultaDataBuscaCommand:
      type: object
      properties:
        consulta:
          $ref: '#/components/schemas/ConsultaDataBuscaRequest'
      additionalProperties: false
    ConsultaDataBuscaResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        hasError:
          type: boolean
        falha:
          type: boolean
        json:
          type: string
          nullable: true
      additionalProperties: false
    ConsultaDataBuscaRequest:
      type: object
      properties:
        documento:
          type: string
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````